<?php 
if( !defined( 'ABSPATH' ) ) exit;
if(isset($_POST['submit_option'])){

	$notifications = $_POST['notifications'];
	$body_script = $_POST['body_script'];
	$footer_script = $_POST['footer_script'];

	$nonce=$_POST['insert_script_wpnonce'];

	if(wp_verify_nonce( $nonce, 'insert_script_option_nonce' ))
	{
		update_option('insert_notifications_gk',$notifications);
		update_option('insert_body_script_gk',$body_script);
		update_option('insert_footer_script_gk',$footer_script);
		$successmsg= ishf_success_option_msg_notification('Settings Saved.');
		
	}
	else
	{
        $errormsg= ishf_failure_option_msg_notification('Unable to save data!');
    }
}

$notifications= ishf_get_option_notifications();

$body_script=ishf_get_option_body_script();

$footer_script=ishf_get_option_footer_script();

?>


<div class="wrap ishf-script-wrap">

	<h2>Notification &raquo; <?php _e( 'Settings', 'Insert Notification Pixel Code' ); ?></h2>
	
	<?php
	if ( isset( $successmsg ) ) {
		?>
		<div class="ishf_updated fade"><p><?php echo $successmsg; ?></p></div>
		<?php
	}
	if ( isset( $errormsg ) ) {
		?>
		<div class="error fade"><p><?php echo $errormsg; ?></p></div>
		<?php
	}
	?>
	
	<div class="row">
		<div class='col-6'>
		<div class="ishf-inner">
			<h4 class="heading-h4">Settings</h4>
			
			<form method="post">
				<p>
					<label for="script_in_header">Notification Pixel Code</label>
					<textarea name="notifications" rows="8" class="ishf-header-footer-textarea" ><?php echo $notifications; ?></textarea>
					Paste your Notification code here. <a href="https://notification.co/page/install-wordpress/#wordpress" target="_blank"><i><u></u></i></a>
				</p>
				
				<input type="hidden" name="insert_script_wpnonce" value="<?php echo $nonce= wp_create_nonce('insert_script_option_nonce'); ?>">
				<input type="submit" class="button button-primary " name="submit_option" value="Save">
				
			</form>
			</div>
			
		</div>
		<div class="col-6">
			<div class="ishf_pro_details ">
				<h2>Need help?</h2>
		
    			<a href="https://notification.co/page/install-wordpress/" title="Notification Support" class="ishf_premium_btn" target="_blank">Frequently Asked Questions</a>
			</div>
		</div>
	</div>
	

</div>